<?php
require_once "connect.php";
require_once "inc/usuario.php";
require_once 'inc/messages.php';

//addError($msg)
$id_usuario = 0;
$user = getLoggedUser();
$id_usuario = $user['id'];

$redirect = 'erpc_vendedores_metas_list.php';


if(isset($_POST['id_meta'])){
    $id_meta = $_POST['id_meta'];
}
$id_vendedor = $_POST['id_vendedor'];
$nr_mes  = $_POST['nr_mes'];
$nr_ano  = $_POST['nr_ano'];
$dt_meta = "$nr_ano-$nr_mes-01";
$vl_meta = $_POST['vl_meta'];
$vl_meta = str_replace('R$ ', '', $vl_meta);
$vl_meta = str_replace('.','',$vl_meta);
$vl_meta = str_replace(',', '.', $vl_meta);


if(isset($_POST['btn-add'])){
    $select = "select * from erpc_vendedores_metas
            where   id_vendedor = $id_vendedor
                    and year(dt_meta) = $nr_ano
                    and month(dt_meta) = $nr_mes
                    and st_ativo = 1";
    
    $resultado_select = mysqli_query($conexao, $select);
    if(mysqli_num_rows($resultado_select) > 0){
        $msg = 'Vendedor já possui meta cadastrada para este mês';
        addError($msg);
        $nr_ano = base64_encode($nr_ano);
        $redirect .= "?nr_ano=$nr_ano";
    }else{
        $sql = "Insert into erpc_vendedores_metas (id_vendedor, dt_meta, vl_meta, dt_modificacao, id_usuario, st_ativo)
                    VALUES    (  $id_vendedor
                                ,'$dt_meta'
                                ,$vl_meta
                                ,NOW()
                                ,$id_usuario
                                ,1)";
    	$stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    	mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));  	
    }
}elseif(isset($_POST['btn-edit'])){
    $sql = "update erpc_vendedores_metas 
               set   dt_meta = '$dt_meta'
                    ,vl_meta = $vl_meta
                    ,dt_modificacao = NOW()
                    ,id_usuario = $id_usuario
               where id = $id_meta";
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}elseif(isset($_POST['btn-excluir'])){
    $sql = "update erpc_vendedores_metas set st_ativo = 0 where id = $id_meta";
    $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
    mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

While($i = 0){
    $i++;
}

header("Location:$redirect");
?>
